/*
 * 该类主要负责系统主要业务逻辑的实现,如多表处理的事务操作、权限控制等
 * 该类根据具体的业务逻辑来调用该实体对应的Dao或者多个Dao来实现数据库操作
 * 实际的数据库操作在对应的Dao或其他Dao中实现
 */
 
package com.blueland.ebpm.engine.config.service;
import java.util.ArrayList;
import java.util.List;

import com.blueland.bpm.engine.config.service.ActivityInfoConfigManager;
import com.blueland.ebpm.engine.BaseManagerTestCase;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringRunner;

/**
 * @author lw
 * @version 1.0
 * @since  
 */

@SpringBootTest
@RunWith(SpringRunner.class)
public class ActivityInfoConfigManagerTest  extends BaseManagerTestCase {
	@Autowired
    ActivityInfoConfigManager activityInfoConfigManager;
	@Test
	public void findActivityOperatePower(){
		List list=activityInfoConfigManager.findActivityOperatePower("cbCompanySend:1:27620", "zb_deptLeader_sh");
		System.out.println(list);
	}
	@Test
	public void addActivityOperatePower(){
		List addOpids=new ArrayList();
		addOpids.add("CREATE_DOCUMENT_BUTTON");
		boolean isAdd=activityInfoConfigManager.addActivityOperatePower(addOpids,"cbCompanySend:1:27620", "createDoc");
		System.out.println(isAdd);
	}
	
	@Test
	public void removeActivityOperatePower(){
		List delOpids=new ArrayList();
		delOpids.add("CREATE_DOCUMENT_BUTTON");
		boolean isDel=activityInfoConfigManager.removeActivityOperatePower(delOpids,"cbCompanySend:1:27620", "createDoc");
		System.out.println(isDel);
	}
	
}
